## org.apache.cassandra.db.index.keys
Class KeysSearcher

    java.lang.Object
      org.apache.cassandra.db.index.SecondaryIndexSearcher
          org.apache.cassandra.db.index.keys.KeysSearcher

    public class KeysSearcher

extends SecondaryIndexSearcher

Field Summary

Fields inherited from class org.apache.cassandra.db.index.SecondaryIndexSearcher
`baseCfs, columns, indexManager`

Constructor Summary
`KeysSearcher(SecondaryIndexManager indexManager, java.util.Set<java.nio.ByteBuffer> columns)`

Method Summary
`ColumnFamilyStore.AbstractScanIterator` `getIndexedIterator(AbstractBounds<RowPosition> range, ExtendedFilter filter)`
`boolean` `isIndexing(java.util.List<IndexExpression> clause)`
`java.util.List<Row>` `search(java.util.List<IndexExpression> clause, AbstractBounds<RowPosition> range, int maxResults, IFilter dataFilter, boolean maxIsColumns)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeysSearcher

    public KeysSearcher(SecondaryIndexManager indexManager,
                        java.util.Set<java.nio.ByteBuffer> columns)

Method Detail

### isIndexing

    public boolean isIndexing(java.util.List<IndexExpression> clause)

  Specified by:
    `isIndexing` in class `SecondaryIndexSearcher`
  Returns:
    true this index is able to handle given clauses.

### search

    public java.util.List<Row> search(java.util.List<IndexExpression> clause,
                                      AbstractBounds<RowPosition> range,
                                      int maxResults,
                                      IFilter dataFilter,
                                      boolean maxIsColumns)

  Specified by:
    `search` in class `SecondaryIndexSearcher`

### getIndexedIterator

    public ColumnFamilyStore.AbstractScanIterator getIndexedIterator(AbstractBounds<RowPosition> range,
                                                                     ExtendedFilter filter)

Copyright © 2013 The Apache Software Foundation